Bug 613536 - x86_64 guest (F13) is stuck on a i386 host (F13), soon after ISOLINUX takes control
x86_64 guest (F13) is stuck on a i386 host (F13), soon after ISOLINUX takes c...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
13
All Linux
low Severity high
: ---
: ---
Assigned To: Justin M. Forbes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-12 03:53 EDT by Catalin BOIE
Modified: 2013-01-09 06:37 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 09:40:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
ISOLINUX is stuck (3.68 KB, image/png)
2010-07-12 03:53 EDT, Catalin BOIE
no flags Details

  None (edit)
Description Catalin BOIE 2010-07-12 03:53:40 EDT
Created attachment 431103 [details]
ISOLINUX is stuck

Description of problem:
Please see screen shot.

Version-Release number of selected component (if applicable):
qemu-system-x86-0.12.3-8.fc13.i686

How reproducible:
Always.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
libvirt command line:
14057 ?        R      0:11 /usr/bin/qemu-system-x86_64 -S -M fedora-13 -no-kvm -m 128 -smp 1,sockets=1,cores=1,threads=1 -name f13-x86_64 -uuid 68865b21-1191-cbc3-1586-4538a9e5621f -nodefaults -chardev socket,id=monitor,path=/var/lib/libvirt/qemu/f13-x86_64.monitor,server,nowait -mon chardev=monitor,mode=readline -rtc base=utc -boot dc -drive file=/var/lib/libvirt/images/f13-x86_64.img,if=none,id=drive-ide0-0-0,boot=on,format=qcow2 -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0 -drive file=/var/lib/libvirt/images/Fedora-13-x86_64-DVD.iso,if=none,media=cdrom,id=drive-ide0-1-0 -device ide-drive,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0 -device rtl8139,vlan=0,id=net0,mac=52:54:00:1c:a3:42,bus=pci.0,addr=0x4 -net tap,fd=48,vlan=0,name=hostnet0 -chardev pty,id=serial0 -device isa-serial,chardev=serial0 -usb -device usb-tablet,id=input0 -vnc 127.0.0.1:0 -k en-us -vga cirrus -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x3

strace -p 14057:
10:49:51.408278 clock_gettime(CLOCK_MONOTONIC, {69177, 425480613}) = 0
10:49:51.408314 gettimeofday({1278920991, 408325}, NULL) = 0
10:49:51.408349 clock_gettime(CLOCK_MONOTONIC, {69177, 425551499}) = 0
10:49:51.408384 timer_gettime(0, {it_interval={0, 0}, it_value={0, 0}}) = 0
10:49:51.408422 timer_settime(0, 0, {it_interval={0, 0}, it_value={0, 439000}}, NULL) = 0
10:49:51.408462 clock_gettime(CLOCK_MONOTONIC, {69177, 425664427}) = 0
10:49:51.408497 clock_gettime(CLOCK_MONOTONIC, {69177, 425699137}) = 0
10:49:51.408533 gettimeofday({1278920991, 408544}, NULL) = 0
10:49:51.408892 --- SIGALRM (Alarm clock) @ 0 (0) ---
10:49:51.408953 write(6, "\0", 1)       = 1
10:49:51.408989 sigreturn()             = ? (mask now [USR2])
10:49:51.409054 select(49, [5 8 10 11 12 48], [], [], {0, 0}) = 1 (in [5], left {0, 0})
10:49:51.409111 read(5, "\0", 512)      = 1
10:49:51.409147 read(5, 0xbff45d3c, 512) = -1 EAGAIN (Resource temporarily unavailable)
10:49:51.409180 clock_gettime(CLOCK_MONOTONIC, {69177, 426382576}) = 0
10:49:51.409216 gettimeofday({1278920991, 409228}, NULL) = 0
10:49:51.409252 clock_gettime(CLOCK_MONOTONIC, {69177, 426453950}) = 0
10:49:51.409287 timer_gettime(0, {it_interval={0, 0}, it_value={0, 0}}) = 0
10:49:51.409324 timer_settime(0, 0, {it_interval={0, 0}, it_value={0, 250000}}, NULL) = 0
10:49:51.409366 clock_gettime(CLOCK_MONOTONIC, {69177, 426568835}) = 0
10:49:51.409402 clock_gettime(CLOCK_MONOTONIC, {69177, 426605011}) = 0
10:49:51.409438 clock_gettime(CLOCK_MONOTONIC, {69177, 426640209}) = 0
10:49:51.409474 gettimeofday({1278920991, 409485}, NULL) = 0
10:49:51.409509 clock_gettime(CLOCK_MONOTONIC, {69177, 426711584}) = 0
10:49:51.409544 timer_gettime(0, {it_interval={0, 0}, it_value={0, 39297}}) = 0
10:49:51.409583 clock_gettime(CLOCK_MONOTONIC, {69177, 426784914}) = 0
10:49:51.409618 --- SIGALRM (Alarm clock) @ 0 (0) ---
10:49:51.409676 write(6, "\0", 1)       = 1
Comment 1 Catalin BOIE 2010-07-12 04:51:31 EDT
Hm. Strange.
At time t0 I managed to boot it, but after some tries I could not (hence this bug report).
Checking now if the image is OK, seems is not.
So, ignore this bug report till I check the image is really OK. Doh!
Comment 2 Catalin BOIE 2010-07-13 03:57:16 EDT
Seems that the checksum listed in Fedora-13-x86_64-CHECKSUM is WRONG.
Must be 65c7f1aad3feb888ae3daadaf45d4a2a32b8773a for the ...-DVD.iso file!
So, the image is OK but it still gets stuck every time.
Comment 3 Catalin BOIE 2010-07-13 04:40:40 EDT
OK. I found the problem by bisecting the start script.
Changing from 'boot=on' to 'boot=off' for hard-drive image did the trick!
In virt-manager at boot order section, I had checked both DVD and Hard drive.
I think it is a bug in qemu that can easily be reproduced.
Hope it helps.
Comment 4 Bug Zapper 2011-06-01 10:10:27 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2011-06-29 09:40:18 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.